summaryrefslogtreecommitdiffstats
path: root/libraries/imlib2
diff options
context:
space:
mode:
author Chess Griffin <chess@chessgriffin.com>2010-05-12 17:40:56 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:40:56 +0200
commit108ef49f90d0235088c8bc15950faed24b2d67f7 (patch)
tree427c7e1dd783c5b920626a5d6879dcc45389c5f3 /libraries/imlib2
parentdf13fbad7b0d5102f19138b672314ba21c8e5bd8 (diff)
downloadslackbuilds-108ef49f90d0235088c8bc15950faed24b2d67f7.tar.gz
slackbuilds-108ef49f90d0235088c8bc15950faed24b2d67f7.tar.xz
libraries/imlib2: Updated for version 1.4.2
Diffstat (limited to 'libraries/imlib2')
-rw-r--r--libraries/imlib2/imlib2.SlackBuild47
-rw-r--r--libraries/imlib2/imlib2.info2
2 files changed, 44 insertions, 5 deletions
diff --git a/libraries/imlib2/imlib2.SlackBuild b/libraries/imlib2/imlib2.SlackBuild
index ad3669cdc5..bccb9d4dc3 100644
--- a/libraries/imlib2/imlib2.SlackBuild
+++ b/libraries/imlib2/imlib2.SlackBuild
@@ -2,13 +2,32 @@
# Slackware build script for Imlib2
-# Written by Chess Griffin <chess at chessgriffin dot com>
+# Copyright 2006-2009 Chess Griffin <chess@chessgriffin.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
# Modified by the SlackBuilds.org project
PRGNAM=imlib2
VERSION=1.4.2
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -18,10 +37,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -33,19 +55,36 @@ rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--enable-static=no \
--build=$ARCH-slackware-linux
make
-make install-strip DESTDIR=$PKG
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS COPYING* ChangeLog INSTALL NEWS README TODO doc/* \
diff --git a/libraries/imlib2/imlib2.info b/libraries/imlib2/imlib2.info
index bd6b1089ca..add5a37599 100644
--- a/libraries/imlib2/imlib2.info
+++ b/libraries/imlib2/imlib2.info
@@ -5,4 +5,4 @@ DOWNLOAD="http://downloads.sourceforge.net/enlightenment/imlib2-1.4.2.tar.gz"
MD5SUM="0c866a7e696ad5ac58bc9312149f15f0"
MAINTAINER="Chess Griffin"
EMAIL="chess@chessgriffin.com"
-APPROVED="Michiel"
+APPROVED="dsomero"